summaryrefslogtreecommitdiffstats
path: root/regress/broken-pipe.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-06 01:26:58 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-06 01:26:58 +0000
commit999ae6be3243c7b4a815247199447b53c39a3d65 (patch)
tree1f35b42b5e5f462d35ba452e4dcfa188ce0543fd /regress/broken-pipe.sh
parentInitial commit. (diff)
downloadopenssh-upstream.tar.xz
openssh-upstream.zip
Adding upstream version 1:7.9p1.upstream/1%7.9p1upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'regress/broken-pipe.sh')
-rw-r--r--regress/broken-pipe.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/regress/broken-pipe.sh b/regress/broken-pipe.sh
new file mode 100644
index 0000000..c69276e
--- /dev/null
+++ b/regress/broken-pipe.sh
@@ -0,0 +1,12 @@
+# $OpenBSD: broken-pipe.sh,v 1.6 2017/04/30 23:34:55 djm Exp $
+# Placed in the Public Domain.
+
+tid="broken pipe test"
+
+for i in 1 2 3 4; do
+ ${SSH} -F $OBJ/ssh_config_config nexthost echo $i 2> /dev/null | true
+ r=$?
+ if [ $r -ne 0 ]; then
+ fail "broken pipe returns $r"
+ fi
+done